Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 336810 - www-misc/fcgiwrap does not respect LDFLAGS
Summary: www-misc/fcgiwrap does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Nikoli
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-11 14:04 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-09-15 09:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (fcgiwrap-1.0.2-r1:20100911-085218.log,4.86 KB, text/plain)
2010-09-11 14:04 UTC, Diego Elio Pettenò (RETIRED)
Details
fix LDFLAGS (fcgiwrap_ldflags.diff,852 bytes, patch)
2010-09-14 20:56 UTC, Nikoli
Details | Diff
new version (fcgiwrap-1.0.3.ebuild,1.10 KB, text/plain)
2010-09-14 20:57 UTC, Nikoli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-11 14:04:16 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-11 14:04:27 UTC
Created attachment 246831 [details]
Build log
Comment 2 Nikoli 2010-09-14 20:56:15 UTC
Created attachment 247343 [details, diff]
fix LDFLAGS

Thanks for pointing, patch fixes the problem.
Comment 3 Nikoli 2010-09-14 20:57:49 UTC
Created attachment 247344 [details]
new version

Please also do version bump.
Comment 4 Nikoli 2010-09-15 06:34:11 UTC
Upstream applied my patch, live ebuild does not need any fixing.
Comment 5 Peter Volkov (RETIRED) gentoo-dev 2010-09-15 07:18:05 UTC
Thank you Nikoli. Commited. Since patch was applied upstream I've kept 9999 ebuild as-is and used newer tarbal for 1.0.3 (with patch inside).

BTW, sources for ebuild you provided already disappeared from site. I think we need to use mirror://gentoo inside SRC_URI and distribute sources manually.
Comment 6 Nikoli 2010-09-15 07:28:35 UTC
>I think we need to use mirror://gentoo inside SRC_URI and distribute sources manually.

Agree.
Comment 7 Peter Volkov (RETIRED) gentoo-dev 2010-09-15 09:02:48 UTC
(In reply to comment #6)
> >I think we need to use mirror://gentoo inside SRC_URI and distribute sources manually.
> 
> Agree.

And done.